Bug 2219946 - F39FailsToInstall: bodhi-composer, bodhi-server
Summary: F39FailsToInstall: bodhi-composer, bodhi-server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi-server
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Hrcka
QA Contact:
URL:
Whiteboard:
Depends On: 2220146 2220170 2220300 2220430
Blocks: F39FailsToInstall PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-07-05 19:02 UTC by Fedora Fails To Install
Modified: 2023-11-28 04:25 UTC (History)
3 users (show)

Fixed In Version: bodhi-server-7.2.1-1.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-30 16:06:03 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-07-05 19:02:35 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (bodhi-server) Fails To Install in Fedora 39:

can't install bodhi-composer:
  - nothing provides python(abi) = 3.11 needed by bodhi-composer-7.2.0-1.fc39.noarch
  
can't install bodhi-server:
  - nothing provides python3.11dist(libcomps) needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python(abi) = 3.11 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(backoff) >= 1.10 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(packaging) >= 21.3 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(jinja2) >= 2.11.3 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(pyyaml) >= 5.4.1 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides (python3.11dist(bodhi-messages) < 8~~ with python3.11dist(bodhi-messages) >= 7) needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides (python3.11dist(pymediawiki) < 0.8~~ with python3.11dist(pymediawiki) >= 0.7) needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides (python3.11dist(sqlalchemy) < 2~~ with python3.11dist(sqlalchemy) >= 1.3.24) needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(alembic) >= 1.5.5 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(arrow) >= 0.17 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(authlib) >= 0.15.4 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(bleach) >= 3.2.3 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(click) >= 7.1.2 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(colander) >= 1.8.3 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(dogpile-cache) >= 1.1.2 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(fedora-messaging) >= 3 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(feedgen) >= 0.9 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(koji) >= 1.27.1 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(markdown) >= 3.3.6 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(munch) >= 2.5 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(prometheus-client) >= 0.13.1 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(psycopg2) >= 2.8.6 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(pyasn1-modules) >= 0.2.8 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(pyramid) >= 1.10.5 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(pyramid-fas-openid) >= 0.4 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(pyramid-mako) >= 1.0.2 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(python-bugzilla) >= 3.2 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(requests) >= 2.25.1 needed by bodhi-server-7.2.0-1.fc39.noarch
  - nothing provides python3.11dist(waitress) >= 1.4.4 needed by bodhi-server-7.2.0-1.fc39.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install bodhi-composer bodhi-server


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-07-13 11:38:37 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 2 Fedora Update System 2023-07-30 16:02:49 UTC
FEDORA-2023-44a80fa2e4 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-44a80fa2e4

Comment 3 Fedora Update System 2023-07-30 16:06:03 UTC
FEDORA-2023-44a80fa2e4 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Red Hat Bugzilla 2023-11-28 04:25:02 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.